@media (min-width: 1200px) {
    .container{
	max-width: 1024px;
    }
    .modal{
	width: 60%;
	margin: auto;
    }    
}

.noselect {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

span.critical {
    color: red;
}

div#streak{
    margin-bottom: 20px;
    text-align: center;
}

div#level {
    position: relative;
    text-align: center;
}
      
div#central{
    position: relative;
    text-align: center;
}

div#falling {
    height: 400px
}

#stats {
    text-align: center
}

#task {
    min-height: 400px;
    border: 1px solid #f0f0f0;
}

#task p.problem-text {
    font-size: 20px;
}

#task p.problem-text:hover {
    background-color: #f0f0f0;
}

#task p {
    margin-top: 10px;
}


/* Numberpad */
.numberpad-number {
    margin: 2px
}

#numberpad-number {
    margin-bottom: 10px
}

/* Written arithmetic */
table.number-array {
    border-collapse: collapse;
}

table.number-array td {
    border: 1px solid #aaaaaa;
    padding: 3px;
    font-size: 20px;
    width: 20px;
    height: 30px;
}

table.number-array td.carry {
    font-size: 12px;
    color: red;
    border: 0px solid white;
}

table.number-array td.digit {
    color: red;
    border-top: 2px solid black;
    padding: 7px;
}

table.number-array span {
    border: 1px solid #f0f0f0;
    display: inline-block;
    min-width: 15px;
    min-height: 20px;
    margin: 0px;
}

table.number-array input[type=text] {
    width: 50px;
}

      
/* Symmetry table */
table.symmetry-table {
    border-collapse: collapse;
    display: inline-block;
}
      
table.symmetry-table td {
    border: 1px solid black;
    width: 20px;
    height: 20px;
}

table.symmetry-table td.one {
    background-color: blue;
}

/* Single choice questions */
table#single-choice {
    width: 100%;
}

table#single-choice td {
    font-size: 18px;
    padding-left: 10px;
    text-align: left;
}

table#single-choice td.radio-td {
    width: 60px;
}

table#single-choice input[type=radio] {
    width: 1.5em;
    height: 1.5em;
}

table#single-choice tr:hover {
    background-color: #f0f0f0;
}


table#single-choice .img-container {
    width: 100%;
    margin-top: 3px;
    margin-bottom: 3px;
    text-align: center;
}

/* tasks selection */
#tasks li {
    list-style-type: none;
}

/* border click */
#border-click {
    margin: auto;
}
#border-click td {
    border: 1px solid gray; width: 30px; height: 30px;
}
#border-click .left-border {
    border-left-color: red;
    border-left-width: 4px;
}
#border-click .right-border {
    border-right-color: red;
    border-right-width: 4px;
}
#border-click .top-border {
    border-top-color: red;
    border-top-width: 4px;
}
#border-click .bottom-border {
    border-bottom-color: red;
    border-bottom-width: 4px;
}
#border-click .fixed-left {
    border-left-color: blue;
}
#border-click .fixed-right {
    border-right-color: blue;
}
#border-click .fixed-top {
    border-top-color: blue;
}
#border-click .fixed-bottom {
    border-bottom-color: blue;
}

/* Image count */
#task div.image-count {
    border: 1px solid black;
    height: 60px;
    margin-top: 10px;
    margin-bottom: 10px;
}

/* Marked words */
#task .mark-words {
    color: red;
    font-size: 20px;
    border-radius: 2px;
    border: 1px solid white;
    padding: 1px;
}

#task .marked {
    border: 1px solid black;
    background-color: #eeeeee;
}

/* Date picker */
.ui-datepicker {
    width: 17em; /*what ever width you want*/
    font-size: 12px;
}

/* Money */
#task .money {
    min-height: 250px;
    margin: 10px;
    padding: 10px;
    border: 1px solid #eeeeee;
    overflow: auto;
}

#task .selected {
    background-color: #f0f0f0;
}

#task .img-container img {
    border: 1px solid #e0e0e0;
}

/* Cards */
table.cards {
    margin-top: 10px;
    margin-bottom: 50px;
    margin-left: auto;
    margin-right: auto;
    font-size: 20px;
}

table.cards td {
    width: 70px;
    height: 70px;
    border: 1px solid #e0e0e0;
}

div.card-front {
    background-color: #f0f0f0;
    z-index: 1;
    border: 2px solid #e0e0e0;
}

/* seesaw */
div#seesaw {
    width: 400px;
    height: 200px;
    position: relative;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 100px;
}

button.btn-seesaw {
    margin: 10px;
    width: 60px;
    height: 60px;
}

img#img-seesaw {
    width: 300px;
    position: absolute;
    top: 150px;
    left: 0px;
    right: 0px;
    margin-left: auto;
    margin-right: auto;
}

img#img-seesaw-base {
    width: 100px;
    position: absolute;
    top: 172px;
    left: 0px;
    right: 0px;
    margin-left: auto;
    margin-right: auto;
    z-index:-1;
}

div#num-seesaw {
    font-size: 25px;
    border: 1px solid black;
    position: absolute;
    top: 120px;
    left: 60px;
    width: 40px;
    height: 40px;
    line-height: 40px;
}

img.weight-seesaw {
    width: 40px;
    height: 40px;
    position: absolute;
    left: 300px;
}

div.toggle-div {
    display: inline-block;
    width: 30px;
    height: 30px;
    border: 1px solid #e0e0e0;
    margin: 5px;
    line-height: 30px;
}

div.toggle-div-selected {
    background-color: #f0f0f0;
}

#table-coding td {
    border: 1px solid black;
}